Bug 1415720

Summary: galera arbitrator service init script error on RHEL6
Product: Red Hat Software Collections Reporter: Eduardo Mayoral <emayoral>
Component: mariadbAssignee: Michal Schorm <mschorm>
Status: CLOSED ERRATA QA Contact: qe-baseos-daemons
Severity: medium Docs Contact:
Priority: unspecified    
Version: rh-mariadb101CC: databases-maint, dornelas, hhorak, kvolny, mmuzila
Target Milestone: ---Keywords: Patch
Target Release: 3.0   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1466473 (view as bug list) Environment:
Last Closed: 2019-02-20 18:30:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1346768, 1466473    

Description Eduardo Mayoral 2017-01-23 14:18:04 UTC
Description of problem:


Version-Release number of selected component (if applicable):

rh-mariadb101-galera-25.3.12-9.el6.x86_64

How reproducible:


Steps to Reproduce:
1. /etc/init.d/rh-mariadb101-garbd start


Actual results:
which: no garbd in (/sbin:/usr/sbin:/bin:/usr/bin)
/etc/init.d/rh-mariadb101-garbd: line 122: [: too many arguments


Expected results:
galera arbitrator service starts


Additional info:

I did a quick fix by:
1.- Creating a link to garbd in the exec path so "which" finds it:
ln -sf /opt/rh/rh-mariadb101/root/usr/bin/garbd /usr/bin/garbd

2.- Patching the init script:
diff -u /etc/init.d/rh-mariadb101-garbd /etc/init.d/rh-mariadb101-garbd.patched
--- /etc/init.d/rh-mariadb101-garbd	2016-05-14 19:35:53.000000000 +0200
+++ /etc/init.d/rh-mariadb101-garbd.patched	2016-12-30 13:58:14.534000054 +0100
@@ -119,7 +119,7 @@
 		fi
 	fi
 
-	[ -x $prog ] || return 5
+	# [ -x $prog ] || return 5
 	[ -f $config ] && . $config
 	# Check that node addresses are configured
 	if [ -z "$GALERA_NODES" ]; then


With this 2 changes the service starts correctly, but probably a better init script is necessary which accounts for the paths in software collections.

Comment 1 Honza Horak 2017-01-25 18:28:30 UTC
Thanks for reporting, this is problem in RHSCL packages as well, so moving to fix it there and eventually the fix should get to sclo packages as well.